'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _redux = require('redux');

var _reduxThunk = require('redux-thunk');

var _reduxThunk2 = _interopRequireDefault(_reduxThunk);

var _util = require('./util.js');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  var initialState = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var initialReducer = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  var middlewares = [_reduxThunk2.default];

  var enhancers = [];

  if (process.env.NODE_ENV === 'development') {
    var devToolsExtension = window.devToolsExtension;
    if (typeof devToolsExtension === 'function') {
      enhancers.push(devToolsExtension());
    }
  }

  var store = (0, _redux.createStore)((0, _util.makeAllReducer)(initialReducer), initialState, _redux.compose.apply(undefined, [_redux.applyMiddleware.apply(undefined, middlewares)].concat(enhancers)));

  store.asyncReducers = (0, _extends3.default)({}, initialReducer);

  return store;
}; /*
    * @Author: Conroy 
    * @Date: 2018-07-11 14:55:06 
    * @Last Modified by: Conroy
    * @Last Modified time: 2018-07-13 10:24:40
    */